class ThreadEx {

    public static void main(String args[]) {
        System.out.println("Thread Beispiel");
        System.out.println("");
        TicTacToe Tic = new TicTacToe("Tic ");
        TicTacToe Tac = new TicTacToe("Tac ");
        TicTacToe Toe = new TicTacToe("Toe ");
        Thread t1 = new Thread(Tic);
        Thread t2 = new Thread(Tac);
        Thread t3 = new Thread(Toe);
        t1.start();
        t2.start();
        t3.start();
        System.out.println("Hauptprogramm ");
        long t = 150 + System.currentTimeMillis();
        while(System.currentTimeMillis() < t) Thread.yield();
        try { Thread.sleep(150);} catch (InterruptedException e) {}
        Tic.Stop();
        Tac.Stop();
        Toe.Stop();
    }
}

class TicTacToe implements Runnable{
    String was;
    boolean beendet = false;
    TicTacToe(String s){ was = s; }
    void Stop(){ beendet = true;}
    public void run(){
        for (;;) {
        	if (beendet) return;
        	System.out.print(was);
        	}
        }
}