import java.awt.*;
import java.awt.event.*;

class Fenster extends Frame{

    private static Button StopButton  = new Button("Stop Button");
    private static Button TuWasButton = new Button("TuWas");
    
    private int X1;
    private int Y1;
      
    Fenster() {
      super("Fenster zum Hof");
      setLayout(new FlowLayout());
      
      StopButton.addActionListener(new ActionListener() {    
        public void actionPerformed(ActionEvent event) { FensterBeenden(); }
	    });
      add(StopButton);
      
      TuWasButton.addActionListener(new ActionListener() {    
        public void actionPerformed(ActionEvent event) { TuWas(); }
	    });
	  add(TuWasButton); 
	  
	  addMouseListener(new MouseAdapter() {    
        public void mousePressed(MouseEvent e){ X1 = e.getX(); Y1 = e.getY(); }
	    public void mouseReleased(MouseEvent e){
            int X2 = e.getX(); int Y2 = e.getY();
            Graphics g = getGraphics();
            g.setColor(Color.blue);
            g.drawLine(X1, Y1, X2, Y2);
            }
	    });
           
      addWindowListener(new WindowAdapter() {    
        public void windowClosing(WindowEvent e) { FensterBeenden(); }
	    });
	    
      setBackground(Color.lightGray);
      setSize(1000, 700);
	  setVisible(true);
      }


    void FensterBeenden() {		        
	  dispose();
	  System.exit(0);
	  }
	  
	/*void TuWas(){
		Font font = new Font("Helvetica", Font.BOLD, 36);
		Graphics g = getGraphics();
		g.setColor(Color.pink);
		g.setFont(font);
		g.drawString("Kilroy was here...", 10, 150);
		g.setColor(Color.red);
		g.fillOval(200, 200, 200, 150);
		g.setColor(Color.black);
		for (int i = 150; i >= 5; i -= 10)
			g.drawOval(200, 200, i + 50, i);
		}*/
		
	String ts(Dimension d){ return " W= "+ d.width + " " + d.height;} 
	
	void TuWas(){
		Font font = new Font("Helvetica", Font.BOLD, 20);
		Graphics g = getGraphics();
		g.setFont(font);
		String S1 = "Minimum   Size: " + ts(getMinimumSize());
		String S2 = "Maximum   Size: " + ts(getMaximumSize());
		String S3 = "Preferred Size: " + ts(getPreferredSize());
		String S4 = "Actual    Size: " + ts(getSize());;
		g.setColor(Color.blue);  g.drawString(S1, 10, 50);
		g.setColor(Color.red);   g.drawString(S2, 10, 150);
		g.setColor(Color.green); g.drawString(S3, 10, 250);
		g.setColor(Color.black); g.drawString(S4, 10, 350);
		}
}

class FensterTester {

    public static void main(String args[]) {
        Fenster MainFenster = new Fenster();
        }
}
