import java.awt.Color;
class Punkt {
    private int x;
    private int y;
    Punkt() {}
    Punkt(int px, int py) { x= px; y= py; }
    Punkt(Punkt p) { x= p.x; y= p.y; }
    int getX () { return x; }
    int getY () { return y; }
    void verschieben (int dx, int dy) { x+= dx; y+= dy;}
    void verschieben (int delta) { verschieben(delta, delta); }
    public String toString(){ return "X: " + x+ "  Y: " + y;}
    }


class GraPunkt extends Punkt {
   private boolean sichtbar = false;	
   private int dicke = 1;
   private Color farbe = Color.black;
   GraPunkt() {}
   GraPunkt(int px, int py) { super(px, py); }
   GraPunkt(int px, int py, boolean ps, int pd, Color pf) { 
   	this(px, py); 
   	sichtbar = ps;
   	dicke    = pd;
   	farbe    = pf; 
   	}

    GraPunkt(GraPunkt p) { 
    	super(p); 
    	sichtbar = p.sichtbar;
    	dicke = p.dicke;
    	farbe = p.farbe;
    	}
    void malen () { System.out.println(" Malen eines Punktes.");   }
    void loeschen () { System.out.println(" Loeschen eines Punktes.");   }
    void verschieben (int dx, int dy) {
         loeschen ();
         super.verschieben(dx, dy);
         malen ();
         }

    public String toString(){
         String s1 = sichtbar ? " sichtbar " : " nicht sichtbar ";
         String s2 = " Dicke: " + dicke;
         String s3 = " Farbe: " + farbe;
         return super.toString() + s1 + s2 + s3;
         };
    }


